package gsdlsoft


#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. 

_javalinks_ {_imagehome_}
_javalinks_ [v=1] {
_imagehome_<br>
}

#######################################################################
# page content
#######################################################################

_pagetitle_ {NZDL: Greenstone Digital Library Software}

_imagethispage_ {_imagegreenstone_}

_content_ {
_iconblankbar_

<h4>The Greenstone software</h4>

<p> The Greenstone Digital Library software provides a new way of organizing
information and making it available over the Internet.  A <i>collection</i> of
information comprises several (typically several thousand, or even several
million) <i>documents</i>, which share a uniform searching and browsing
interface.  The collections in a library are organized in a different
way--though they share a strong family resemblance.  Although primarily
designed for access over the Web, Greenstone collections can be made available,
in precisely the same form, on CD-ROM for standalone PCs.  Greenstone is
open-source software, available under the terms of the Gnu public linense.

<h4>Installing Greenstone</h4>

<p> To install on unix systems:

<ul>
<li>Download the <a href="http://www.nzdl.org/technology/gsdl-2.11.tar.gz"><i>gsdl-2.11</i></a> distribution.
<li>Extract the gzipped tar archive (tar xvzf gsdl-2.11.tar.gz)
<li>In the resulting gsdl directory type "./configure". When the configure script has finished running type
"make", then "make install".
<li>"make install" copies the compiled executable file into the top level gsdl directory by default. To
run the library as a cgi script move the executable to your cgi-bin directory.
<li>To build the demonstration collection that comes with the distribution run the builddemo.sh script
from within the gsdl directory.
<li>The gsdl/etc/site.cfg.example file must be saved as gsdl/etc/site.cfg and edited to suit your site.
Things that may need changing are httpprefix (the web path to the gsdl directory) and httpimg (the path
to gsdl/images).
</ul>

<p> The current distribution of the Greenstone software was developed primarily for use on unix systems.
The software does run under Windows/DOS however and windows specific distributions (including pre-compiled 
binaries) will soon be made available.

<h4>Bugs</h4>
Please report bugs or installation problems to <a href="mailto:greenstone@cs.waikato.ac.nz">greenstone@cs.waikato.ac.nz</a>

}